Bug 1363 - [UPDATE REQUEST] mozilla-thunderbird
: [UPDATE REQUEST] mozilla-thunderbird
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-28 14:22 MSK by Denis Koryavov
Modified: 2013-01-09 10:14 MSK (History)
2 users (show)

See Also:
RPM Package: mozilla-thunderbird-17.0-3-rosa2012.1.x86_64
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
toosmall (210.37 KB, image/png)
2012-12-29 08:49 MSK, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Koryavov 2012-12-28 14:22:14 MSK
Description of problem:

With the last update mozilla-thunderbird gets the wrong icon for ALT+Tab dialog. It has a white background (but background should be transparent). It seems that KWin has a bug that consists in the following behaviour: if some icon has a transparent background KWin shows it in small size (48x48 or 64x64) but if this icon will have a non-transparent background, everything will be OK and we will see this icon in the normal size (128x128) in the ALT+Tab dialog. This happens only for some applications (as a rule: for non-KDE applications who have their own icons). Anyway this is other bug and it should not be solved like in the last thunderbird update. 


Version-Release number of selected component (if applicable):
mozilla-thunderbird-17.0-4-rosa2012.1.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Run Mozilla Thunderbid. Press ALT+Tab. http://bugs.rosalinux.ru/attachment.cgi?id=967
Comment 1 Denis Koryavov 2012-12-28 14:23:23 MSK
Advisory:
Fixed bug with the wrong icon for the ALT+Tab dialog. 

BuildLists:
https://abf.rosalinux.ru/build_lists/870879
https://abf.rosalinux.ru/build_lists/870880
Comment 2 Vladimir Potapov 2012-12-29 08:49:14 MSK
Created attachment 1007 [details]
toosmall
Comment 3 Denis Koryavov 2012-12-29 12:03:38 MSK
Vladimir, please read my first message. As I said - it is normal. It is a bug of KDE Kwin and it was before. It is a not a problem of this package. If you check /usr/lib64/thunderbird-17.0/chrome/icons/default/ you will see icons for all dimensions here.
Comment 4 Vladimir Potapov 2012-12-29 16:38:18 MSK
mozilla-thunderbird-17.0-4-rosa2012.1
****************** Advisory ***********************
Fixed bug with the wrong icon for the ALT+Tab dialog. 
**************************************************
QA Verified